Package org.apache.avro.data

# Interface ErrorBuilder<T>

All Superinterfaces:
  `RecordBuilder<T>`

All Known Implementing Classes:
  `SpecificErrorBuilderBase`

public interface ErrorBuilder<T> extends RecordBuilder<T>
Interface for error builders

## Method Summary

Modifier and Type
Method
Description
`ErrorBuilder<T>`
`clearCause()`
Clears the cause
`ErrorBuilder<T>`
`clearValue()`
Clears the value
`Throwable`
`getCause()`
Gets the error cause
`Object`
`getValue()`
Gets the value
`boolean`
`hasCause()`
Checks whether the cause has been set
`boolean`
`hasValue()`
Checks whether the value has been set
`ErrorBuilder<T>`
`setCause(Throwable cause)`
Sets the error cause
`ErrorBuilder<T>`
`setValue(Object value)`
Sets the value

### Methods inherited from interface org.apache.avro.data.RecordBuilder

`build`

## Method Details

### getValue

Object getValue()
Gets the value

### setValue

ErrorBuilder<T> setValue(Object value)
Sets the value

### hasValue

boolean hasValue()
Checks whether the value has been set

### clearValue

ErrorBuilder<T> clearValue()
Clears the value

### getCause

Throwable getCause()
Gets the error cause

### setCause

ErrorBuilder<T> setCause(Throwable cause)
Sets the error cause

### hasCause

boolean hasCause()
Checks whether the cause has been set

### clearCause

ErrorBuilder<T> clearCause()
Clears the cause